Bug 143027 - [PATCH] x11/gmrun: fix build and amd64 runtime
Summary: [PATCH] x11/gmrun: fix build and amd64 runtime
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-20 18:40 UTC by Yuri Pankov
Modified: 2010-01-21 03:20 UTC (History)
0 users

See Also:


Attachments
gmrun-0.9.2_6.patch (3.20 KB, patch)
2010-01-20 18:40 UTC, Yuri Pankov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Pankov 2010-01-20 18:40:06 UTC
- Fix build with devel/glib20 >= 2.10
- Fix amd64 runtime
- Do not de-orbit yet

Added file(s):
- files/patch-src__gtkcompletionline.cc
- files/patch-src__gtkcompletionline.h

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-01-20 18:40:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-01-20 19:00:23 UTC
garga       2010-01-20 18:59:52 UTC

  FreeBSD ports repository

  Modified files:
    x11/gmrun            Makefile 
  Added files:
    x11/gmrun/files      patch-src__gtkcompletionline.cc 
                         patch-src__gtkcompletionline.h 
  Log:
  Unbreak: Fix build with glib > 2.10 and run on amd64
  
  PR:             ports/143027
  Submitted by:   Yuri Pankov <yuri.pankov@gmail.com>
  
  Revision  Changes    Path
  1.31      +1 -9      ports/x11/gmrun/Makefile
  1.1       +50 -0     ports/x11/gmrun/files/patch-src__gtkcompletionline.cc (new)
  1.1       +11 -0     ports/x11/gmrun/files/patch-src__gtkcompletionline.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Renato Botelho freebsd_committer 2010-01-20 19:01:24 UTC
State Changed
From-To: open->closed

Committed. Thank you for fixing this and keep this awesome software 
working! Let me know if you want to take over the maintainership of this 
port.
Comment 4 Ju Pengfei 2010-01-21 02:36:41 UTC
build error:

/usr/ports/x11/gmrun> sudo make install clean
===>  Vulnerability check disabled, database not found
===>  Extracting for gmrun-0.9.2_7
=> MD5 Checksum OK for gmrun-0.9.2.tar.gz.
=> SHA256 Checksum OK for gmrun-0.9.2.tar.gz.
===>  Patching for gmrun-0.9.2_7
===>  Applying FreeBSD patches for gmrun-0.9.2_7
===>   gmrun-0.9.2_7 depends on executable: gmake - found
===>   gmrun-0.9.2_7 depends on file: /usr/local/bin/intltool-extract -
found
===>   gmrun-0.9.2_7 depends on executable: pkg-config - found
===>   gmrun-0.9.2_7 depends on shared library: popt.0 - found
===>   gmrun-0.9.2_7 depends on shared library: atk-1.0.0 - found
===>   gmrun-0.9.2_7 depends on shared library: glib-2.0.0 - found
===>   gmrun-0.9.2_7 depends on shared library: gtk-x11-2.0.0 - found
===>   gmrun-0.9.2_7 depends on shared library: pango-1.0.0 - found
===>  Configuring for gmrun-0.9.2_7
creating cache ./config.cache
checking for a BSD compatible install... /usr/bin/install -c -o root -g
wheel
checking whether build environment is sane... yes
checking whether gmake sets ${MAKE}... yes
checking for working aclocal-1.4... missing
checking for working autoconf... found
checking for working automake-1.4... missing
checking for working autoheader... found
checking for working makeinfo... found
checking for strerror in -lcposix... no
checking for gcc... cc
checking whether the C compiler (cc -O2 -fno-strict-aliasing -pipe
-march=prescott -L/usr/local/lib) works... yes
checking whether the C compiler (cc -O2 -fno-strict-aliasing -pipe
-march=prescott -L/usr/local/lib) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking for dirent.h that defines DIR... yes
checking for opendir in -ldir... no
checking how to run the C preprocessor... cc -E
checking for ANSI C header files... yes
checking for c++... c++
checking whether the C++ compiler (c++ -O2 -fno-strict-aliasing -pipe
-march=prescott -fconserve-space -L/usr/local/lib) works... yes
checking whether the C++ compiler (c++ -O2 -fno-strict-aliasing -pipe
-march=prescott -fconserve-space -L/usr/local/lib) is a cross-compiler... no
checking whether we are using GNU C++... yes
checking whether c++ accepts -g... yes
checking for stlport libraries...
checking for stlport headers...
checking for poptGetContext... no
checking for poptGetContext in -lpopt... yes
checking for pkg-config... /usr/local/bin/pkg-config
checking for glib-2.0 >= 2.0.4
                        gobject-2.0 >= 2.0.4
                        gthread-2.0 >= 2.0.4... yes
checking GLIB_CFLAGS... -D_REENTRANT -I/usr/local/include/glib-2.0
-I/usr/local/lib/glib-2.0/include
checking GLIB_LIBS... -pthread -L/usr/local/lib -lgobject-2.0 -lgthread-2.0
-lglib-2.0
checking for gtk+-2.0 >= 2.0.5... yes
checking GTK_CFLAGS... -D_THREAD_SAFE -I/usr/local/include/gtk-2.0
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0
-I/usr/local/include -I/usr/local/include/glib-2.0
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/pixman-1
-I/usr/local/include/freetype2
checking GTK_LIBS... -pthread -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0
-latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lgio-2.0 -lXext -lXrender
-lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lpangoft2-1.0
-lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0
-lgmodule-2.0 -lglib-2.0
updating cache ./config.cache
creating ./config.status
creating Makefile
creating src/Makefile
creating config/Makefile
creating gmrun.spec
creating config.h
===>  Building for gmrun-0.9.2_7
gmake  all-recursive
gmake[1]: Entering directory `/usr/ports/x11/gmrun/work/gmrun-0.9.2'
Making all in src
gmake[2]: Entering directory `/usr/ports/x11/gmrun/work/gmrun-0.9.2/src'
c++ -DHAVE_CONFIG_H -I. -I. -I.. -D_THREAD_SAFE -I/usr/local/include/gtk-2.0
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0
-I/usr/local/include -I/usr/local/include/glib-2.0
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/pixman-1
-I/usr/local/include/freetype2     -I/usr/local/include  -O2
-fno-strict-aliasing -pipe -march=prescott -fconserve-space -c
gtkcompletionline.cc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -D_THREAD_SAFE -I/usr/local/include/gtk-2.0
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0
-I/usr/local/include -I/usr/local/include/glib-2.0
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/pixman-1
-I/usr/local/include/freetype2     -I/usr/local/include  -O2
-fno-strict-aliasing -pipe -march=prescott -fconserve-space -c history.cc
gtkcompletionline.cc: In function 'void generate_execs()':
gtkcompletionline.cc:411: error: invalid conversion from 'int (*)(const
dirent*)' to 'int (*)(dirent*)'
gtkcompletionline.cc:411: error:   initializing argument 3 of 'int
scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
void*))'
gtkcompletionline.cc:411: error: invalid conversion from 'int (*)(const
dirent**, const dirent**)' to 'int (*)(const void*, const void*)'
gtkcompletionline.cc:411: error:   initializing argument 4 of 'int
scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
void*))'
gtkcompletionline.cc: In function 'int generate_dirlist(const char*)':
gtkcompletionline.cc:511: error: invalid conversion from 'int (*)(const
dirent*)' to 'int (*)(dirent*)'
gtkcompletionline.cc:511: error:   initializing argument 3 of 'int
scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
void*))'
gtkcompletionline.cc:511: error: invalid conversion from 'int (*)(const
dirent**, const dirent**)' to 'int (*)(const void*, const void*)'
gtkcompletionline.cc:511: error:   initializing argument 4 of 'int
scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
void*))'
gmake[2]: *** [gtkcompletionline.o] error 1

...

Stop in /usr/ports/x11/gmrun.
Comment 5 Ju Pengfei 2010-01-21 02:40:05 UTC
~> uname -a
FreeBSD testhost.testdomain 8.0-RELEASE-p2 FreeBSD 8.0-RELEASE-p2 #0: Fri
Jan  8 11:04:37 CST 2010
root@testhost.testdomain:/usr/obj/usr/src/sys/MYKERNEL
i386


2010/1/21 Pengfei Ju <jupengfei@gmail.com>

> build error:
>
> /usr/ports/x11/gmrun> sudo make install clean
> ===>  Vulnerability check disabled, database not found
> ===>  Extracting for gmrun-0.9.2_7
> => MD5 Checksum OK for gmrun-0.9.2.tar.gz.
> => SHA256 Checksum OK for gmrun-0.9.2.tar.gz.
> ===>  Patching for gmrun-0.9.2_7
> ===>  Applying FreeBSD patches for gmrun-0.9.2_7
> ===>   gmrun-0.9.2_7 depends on executable: gmake - found
> ===>   gmrun-0.9.2_7 depends on file: /usr/local/bin/intltool-extract -
> found
> ===>   gmrun-0.9.2_7 depends on executable: pkg-config - found
> ===>   gmrun-0.9.2_7 depends on shared library: popt.0 - found
> ===>   gmrun-0.9.2_7 depends on shared library: atk-1.0.0 - found
> ===>   gmrun-0.9.2_7 depends on shared library: glib-2.0.0 - found
> ===>   gmrun-0.9.2_7 depends on shared library: gtk-x11-2.0.0 - found
> ===>   gmrun-0.9.2_7 depends on shared library: pango-1.0.0 - found
> ===>  Configuring for gmrun-0.9.2_7
> creating cache ./config.cache
> checking for a BSD compatible install... /usr/bin/install -c -o root -g
> wheel
> checking whether build environment is sane... yes
> checking whether gmake sets ${MAKE}... yes
> checking for working aclocal-1.4... missing
> checking for working autoconf... found
> checking for working automake-1.4... missing
> checking for working autoheader... found
> checking for working makeinfo... found
> checking for strerror in -lcposix... no
> checking for gcc... cc
> checking whether the C compiler (cc -O2 -fno-strict-aliasing -pipe
> -march=prescott -L/usr/local/lib) works... yes
> checking whether the C compiler (cc -O2 -fno-strict-aliasing -pipe
> -march=prescott -L/usr/local/lib) is a cross-compiler... no
> checking whether we are using GNU C... yes
> checking whether cc accepts -g... yes
> checking for cc option to accept ANSI C... none needed
> checking for dirent.h that defines DIR... yes
> checking for opendir in -ldir... no
> checking how to run the C preprocessor... cc -E
> checking for ANSI C header files... yes
> checking for c++... c++
> checking whether the C++ compiler (c++ -O2 -fno-strict-aliasing -pipe
> -march=prescott -fconserve-space -L/usr/local/lib) works... yes
> checking whether the C++ compiler (c++ -O2 -fno-strict-aliasing -pipe
> -march=prescott -fconserve-space -L/usr/local/lib) is a cross-compiler... no
> checking whether we are using GNU C++... yes
> checking whether c++ accepts -g... yes
> checking for stlport libraries...
> checking for stlport headers...
> checking for poptGetContext... no
> checking for poptGetContext in -lpopt... yes
> checking for pkg-config... /usr/local/bin/pkg-config
> checking for glib-2.0 >= 2.0.4
>                         gobject-2.0 >= 2.0.4
>                         gthread-2.0 >= 2.0.4... yes
> checking GLIB_CFLAGS... -D_REENTRANT -I/usr/local/include/glib-2.0
> -I/usr/local/lib/glib-2.0/include
> checking GLIB_LIBS... -pthread -L/usr/local/lib -lgobject-2.0 -lgthread-2.0
> -lglib-2.0
> checking for gtk+-2.0 >= 2.0.5... yes
> checking GTK_CFLAGS... -D_THREAD_SAFE -I/usr/local/include/gtk-2.0
> -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0
> -I/usr/local/include/cairo -I/usr/local/include/pango-1.0
> -I/usr/local/include -I/usr/local/include/glib-2.0
> -I/usr/local/lib/glib-2.0/include -I/usr/local/include/pixman-1
> -I/usr/local/include/freetype2
> checking GTK_LIBS... -pthread -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0
> -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lgio-2.0 -lXext -lXrender
> -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lpangoft2-1.0
> -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0
> -lgmodule-2.0 -lglib-2.0
> updating cache ./config.cache
> creating ./config.status
> creating Makefile
> creating src/Makefile
> creating config/Makefile
> creating gmrun.spec
> creating config.h
> ===>  Building for gmrun-0.9.2_7
> gmake  all-recursive
> gmake[1]: Entering directory `/usr/ports/x11/gmrun/work/gmrun-0.9.2'
> Making all in src
> gmake[2]: Entering directory `/usr/ports/x11/gmrun/work/gmrun-0.9.2/src'
> c++ -DHAVE_CONFIG_H -I. -I. -I.. -D_THREAD_SAFE
> -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include
> -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo
> -I/usr/local/include/pango-1.0 -I/usr/local/include
> -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include
> -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2
> -I/usr/local/include  -O2 -fno-strict-aliasing -pipe -march=prescott
> -fconserve-space -c gtkcompletionline.cc
> c++ -DHAVE_CONFIG_H -I. -I. -I.. -D_THREAD_SAFE
> -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include
> -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo
> -I/usr/local/include/pango-1.0 -I/usr/local/include
> -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include
> -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2
> -I/usr/local/include  -O2 -fno-strict-aliasing -pipe -march=prescott
> -fconserve-space -c history.cc
> gtkcompletionline.cc: In function 'void generate_execs()':
> gtkcompletionline.cc:411: error: invalid conversion from 'int (*)(const
> dirent*)' to 'int (*)(dirent*)'
> gtkcompletionline.cc:411: error:   initializing argument 3 of 'int
> scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
> void*))'
> gtkcompletionline.cc:411: error: invalid conversion from 'int (*)(const
> dirent**, const dirent**)' to 'int (*)(const void*, const void*)'
> gtkcompletionline.cc:411: error:   initializing argument 4 of 'int
> scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
> void*))'
> gtkcompletionline.cc: In function 'int generate_dirlist(const char*)':
> gtkcompletionline.cc:511: error: invalid conversion from 'int (*)(const
> dirent*)' to 'int (*)(dirent*)'
> gtkcompletionline.cc:511: error:   initializing argument 3 of 'int
> scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
> void*))'
> gtkcompletionline.cc:511: error: invalid conversion from 'int (*)(const
> dirent**, const dirent**)' to 'int (*)(const void*, const void*)'
> gtkcompletionline.cc:511: error:   initializing argument 4 of 'int
> scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
> void*))'
> gmake[2]: *** [gtkcompletionline.o] error 1
>
> ...
>
> Stop in /usr/ports/x11/gmrun.
>
>
>


-- 
Ju Pengfei
Comment 6 Yuri Pankov 2010-01-21 03:14:10 UTC
On Thu, Jan 21, 2010 at 10:40:05AM +0800, Pengfei Ju wrote:
> ~> uname -a
> FreeBSD testhost.testdomain 8.0-RELEASE-p2 FreeBSD 8.0-RELEASE-p2 #0: Fri
> Jan  8 11:04:37 CST 2010
> root@testhost.testdomain:/usr/obj/usr/src/sys/MYKERNEL
> i386
> 
> 
> 2010/1/21 Pengfei Ju <jupengfei@gmail.com>
> 
> > build error:
> >
> > /usr/ports/x11/gmrun> sudo make install clean
> > ===>  Vulnerability check disabled, database not found
> > ===>  Extracting for gmrun-0.9.2_7
> > => MD5 Checksum OK for gmrun-0.9.2.tar.gz.
> > => SHA256 Checksum OK for gmrun-0.9.2.tar.gz.
> > ===>  Patching for gmrun-0.9.2_7
> > ===>  Applying FreeBSD patches for gmrun-0.9.2_7
> > ===>   gmrun-0.9.2_7 depends on executable: gmake - found
> > ===>   gmrun-0.9.2_7 depends on file: /usr/local/bin/intltool-extract -
> > found
> > ===>   gmrun-0.9.2_7 depends on executable: pkg-config - found
> > ===>   gmrun-0.9.2_7 depends on shared library: popt.0 - found
> > ===>   gmrun-0.9.2_7 depends on shared library: atk-1.0.0 - found
> > ===>   gmrun-0.9.2_7 depends on shared library: glib-2.0.0 - found
> > ===>   gmrun-0.9.2_7 depends on shared library: gtk-x11-2.0.0 - found
> > ===>   gmrun-0.9.2_7 depends on shared library: pango-1.0.0 - found
> > ===>  Configuring for gmrun-0.9.2_7
> > creating cache ./config.cache
> > checking for a BSD compatible install... /usr/bin/install -c -o root -g
> > wheel
> > checking whether build environment is sane... yes
> > checking whether gmake sets ${MAKE}... yes
> > checking for working aclocal-1.4... missing
> > checking for working autoconf... found
> > checking for working automake-1.4... missing
> > checking for working autoheader... found
> > checking for working makeinfo... found
> > checking for strerror in -lcposix... no
> > checking for gcc... cc
> > checking whether the C compiler (cc -O2 -fno-strict-aliasing -pipe
> > -march=prescott -L/usr/local/lib) works... yes
> > checking whether the C compiler (cc -O2 -fno-strict-aliasing -pipe
> > -march=prescott -L/usr/local/lib) is a cross-compiler... no
> > checking whether we are using GNU C... yes
> > checking whether cc accepts -g... yes
> > checking for cc option to accept ANSI C... none needed
> > checking for dirent.h that defines DIR... yes
> > checking for opendir in -ldir... no
> > checking how to run the C preprocessor... cc -E
> > checking for ANSI C header files... yes
> > checking for c++... c++
> > checking whether the C++ compiler (c++ -O2 -fno-strict-aliasing -pipe
> > -march=prescott -fconserve-space -L/usr/local/lib) works... yes
> > checking whether the C++ compiler (c++ -O2 -fno-strict-aliasing -pipe
> > -march=prescott -fconserve-space -L/usr/local/lib) is a cross-compiler... no
> > checking whether we are using GNU C++... yes
> > checking whether c++ accepts -g... yes
> > checking for stlport libraries...
> > checking for stlport headers...
> > checking for poptGetContext... no
> > checking for poptGetContext in -lpopt... yes
> > checking for pkg-config... /usr/local/bin/pkg-config
> > checking for glib-2.0 >= 2.0.4
> >                         gobject-2.0 >= 2.0.4
> >                         gthread-2.0 >= 2.0.4... yes
> > checking GLIB_CFLAGS... -D_REENTRANT -I/usr/local/include/glib-2.0
> > -I/usr/local/lib/glib-2.0/include
> > checking GLIB_LIBS... -pthread -L/usr/local/lib -lgobject-2.0 -lgthread-2.0
> > -lglib-2.0
> > checking for gtk+-2.0 >= 2.0.5... yes
> > checking GTK_CFLAGS... -D_THREAD_SAFE -I/usr/local/include/gtk-2.0
> > -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0
> > -I/usr/local/include/cairo -I/usr/local/include/pango-1.0
> > -I/usr/local/include -I/usr/local/include/glib-2.0
> > -I/usr/local/lib/glib-2.0/include -I/usr/local/include/pixman-1
> > -I/usr/local/include/freetype2
> > checking GTK_LIBS... -pthread -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0
> > -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lgio-2.0 -lXext -lXrender
> > -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lpangoft2-1.0
> > -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0
> > -lgmodule-2.0 -lglib-2.0
> > updating cache ./config.cache
> > creating ./config.status
> > creating Makefile
> > creating src/Makefile
> > creating config/Makefile
> > creating gmrun.spec
> > creating config.h
> > ===>  Building for gmrun-0.9.2_7
> > gmake  all-recursive
> > gmake[1]: Entering directory `/usr/ports/x11/gmrun/work/gmrun-0.9.2'
> > Making all in src
> > gmake[2]: Entering directory `/usr/ports/x11/gmrun/work/gmrun-0.9.2/src'
> > c++ -DHAVE_CONFIG_H -I. -I. -I.. -D_THREAD_SAFE
> > -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include
> > -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo
> > -I/usr/local/include/pango-1.0 -I/usr/local/include
> > -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include
> > -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2
> > -I/usr/local/include  -O2 -fno-strict-aliasing -pipe -march=prescott
> > -fconserve-space -c gtkcompletionline.cc
> > c++ -DHAVE_CONFIG_H -I. -I. -I.. -D_THREAD_SAFE
> > -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include
> > -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo
> > -I/usr/local/include/pango-1.0 -I/usr/local/include
> > -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include
> > -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2
> > -I/usr/local/include  -O2 -fno-strict-aliasing -pipe -march=prescott
> > -fconserve-space -c history.cc
> > gtkcompletionline.cc: In function 'void generate_execs()':
> > gtkcompletionline.cc:411: error: invalid conversion from 'int (*)(const
> > dirent*)' to 'int (*)(dirent*)'
> > gtkcompletionline.cc:411: error:   initializing argument 3 of 'int
> > scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
> > void*))'
> > gtkcompletionline.cc:411: error: invalid conversion from 'int (*)(const
> > dirent**, const dirent**)' to 'int (*)(const void*, const void*)'
> > gtkcompletionline.cc:411: error:   initializing argument 4 of 'int
> > scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
> > void*))'
> > gtkcompletionline.cc: In function 'int generate_dirlist(const char*)':
> > gtkcompletionline.cc:511: error: invalid conversion from 'int (*)(const
> > dirent*)' to 'int (*)(dirent*)'
> > gtkcompletionline.cc:511: error:   initializing argument 3 of 'int
> > scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
> > void*))'
> > gtkcompletionline.cc:511: error: invalid conversion from 'int (*)(const
> > dirent**, const dirent**)' to 'int (*)(const void*, const void*)'
> > gtkcompletionline.cc:511: error:   initializing argument 4 of 'int
> > scandir(const char*, dirent***, int (*)(dirent*), int (*)(const void*, const
> > void*))'
> > gmake[2]: *** [gtkcompletionline.o] error 1
> >
> > ...
> >
> > Stop in /usr/ports/x11/gmrun.
> >
> >
> >
> 
> 
> -- 
> Ju Pengfei

Please try this patch:
http://darklight.org.ru/misc/gmrun.diff

I've already sent it to garga@, waiting to be commited.


Yuri